2019-03-22 07:03 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002278NetSurfRISC OS-specificpublic2015-03-10 23:39
ReporterDick Tanis 
Assigned ToVincent Sanders 
SeverityfeatureReproducibilityN/A 
StatusclosedResolutionfixed 
Product Version3.2 
Target Version3.3Fixed in Version3.3 
Summary0002278: Updated Dutch resources for NetSurf
DescriptionArchive contains an updated version of the templates and the message files.
TagsNo tags attached.
Fixed in CI build #
Reported in CI build #
URL of problem page
Attached Files

-Relationships
+Relationships

-Notes
Vincent Sanders

~0000612

Vincent Sanders (administrator)

I merged the message file changes as requested. The templates file is binary identical to what is already in the nl resources directory.
Dick Tanis

~0000613

Dick Tanis (reporter)

Thanks for update. Got one question though. When I retrieve the sources of NS via git I don't see the updated Dutch Template file which I sent earlier. Also the nightly builds doesn't contain them. I think the text file netsurf/riscos/templates/nl is still used as the source for building. I can also provide a text version of the Dutch templates which can be processed by ccres to binary versions.
Vincent Sanders

~0000614

Vincent Sanders (administrator)

Ah I see, sorry, yes I need an updated version of

http://git.netsurf-browser.org/netsurf.git/plain/riscos/templates/nl

as you suggested. I am not very familiar with how the RISC OS version is built and had not realised the version in Resources was a generated file, sorry.
Dick Tanis

~0000615

Dick Tanis (reporter)

I attached a new archive 'NS-NL04.zip' which contains a text version of the templates and a file LeesMij which is a Dutch translation of netsurf/riscos/distribution/ReadMe. Is it possible to add this file also to the RISC OS distribution?
Vincent Sanders

~0000616

Vincent Sanders (administrator)

many thanks, really all done this time ;-)
Dick Tanis

~0000617

Dick Tanis (reporter)

Great! Thanks again. New Dutch Templates works nicely in the latest build. Thanks for adding the 'LeesMij' file to the sources. Only one problem there. It isn't added to the destination archive when NS is build. Checked Makefiles and I think adding the line:
$(Q) cp $(CURDIR)/riscos/distribution/LeesMij $($@_TMPDIR)

after line 147 in netsurf/riscos/Makefile.target should fix this.
Vincent Sanders

~0000618

Vincent Sanders (administrator)

updated Makefile
Vincent Sanders

~0000737

Vincent Sanders (administrator)

Confirmed fixed in 3.3 release
+Notes

-Issue History
Date Modified Username Field Change
2015-02-27 19:28 Dick Tanis New Issue
2015-02-27 19:28 Dick Tanis File Added: NS-NL03.zip
2015-02-28 16:04 Vincent Sanders Assigned To => Vincent Sanders
2015-02-28 16:04 Vincent Sanders Status new => acknowledged
2015-02-28 16:04 Vincent Sanders Target Version => 3.3
2015-02-28 16:40 Vincent Sanders Note Added: 0000612
2015-02-28 16:40 Vincent Sanders Status acknowledged => resolved
2015-02-28 16:40 Vincent Sanders Fixed in Version => 3.3
2015-02-28 17:38 Dick Tanis Note Added: 0000613
2015-02-28 17:38 Dick Tanis Status resolved => feedback
2015-02-28 17:38 Dick Tanis Resolution open => reopened
2015-02-28 18:21 Vincent Sanders Note Added: 0000614
2015-02-28 18:21 Vincent Sanders Status feedback => confirmed
2015-02-28 18:56 Vincent Sanders Status confirmed => feedback
2015-02-28 20:13 Dick Tanis Note Added: 0000615
2015-02-28 20:13 Dick Tanis Status feedback => assigned
2015-02-28 20:14 Dick Tanis File Added: NS-NL04.zip
2015-02-28 22:45 Vincent Sanders Note Added: 0000616
2015-02-28 22:45 Vincent Sanders Status assigned => resolved
2015-02-28 22:45 Vincent Sanders Resolution reopened => fixed
2015-03-01 00:26 Dick Tanis Note Added: 0000617
2015-03-01 00:26 Dick Tanis Status resolved => feedback
2015-03-01 00:26 Dick Tanis Resolution fixed => reopened
2015-03-01 10:33 Vincent Sanders Note Added: 0000618
2015-03-01 10:33 Vincent Sanders Status feedback => resolved
2015-03-01 10:33 Vincent Sanders Resolution reopened => fixed
2015-03-10 23:39 Vincent Sanders Note Added: 0000737
2015-03-10 23:39 Vincent Sanders Status resolved => closed
+Issue History